import java.awt.*;
import java.awt.event.*;

public class CheckBoxTest_AWT extends Frame
   implements ItemListener {
   
   CheckboxGroup gruppe;
   Checkbox ausWahl, radio1, radio2, radio3;
   
   public CheckBoxTest_AWT() {
      super("Markierungsfelder");
      setSize(320, 200);
      setLayout(new FlowLayout(FlowLayout.LEFT));

      add(new Label("Eine Option whlen : ")) ;
      ausWahl = new Checkbox("Hintergrundfarbe ndern", true);
      ausWahl.addItemListener(this);
      add(ausWahl);
      add(new Label("Farbe whlen            : ")) ;
      gruppe = new CheckboxGroup();
      radio1 = new Checkbox("rot", true, gruppe);
      radio2 = new Checkbox("grn", false, gruppe);
      radio3 = new Checkbox("blau", false, gruppe);
      radio1.addItemListener(this);
      radio2.addItemListener(this);
      radio3.addItemListener(this);
      add(radio1);
      add(radio2);
      add(radio3);

      setVisible(true);
      addWindowListener(new WindowAdapter() {
         public void windowClosing(WindowEvent e) {
            setVisible(false);
            dispose();
            System.exit(0);
         }
      } );
   }

   public void itemStateChanged(ItemEvent e) {
      Object obj = e.getSource();
      if (ausWahl.getState()) {
         if (radio1.getState())
            setBackground(Color.red);
         if (radio2.getState())
            setBackground(Color.green);
         if (radio3.getState())
            setBackground(Color.blue);
         repaint();
      }
   }
   
   public static void main(String[] args) {
      CheckBoxTest_AWT tester = new CheckBoxTest_AWT();
   }


}